Edushade Docs
Organization

S: Update organization

PUT
/sysadmin/organizations/{organization_id}

Path Parameters

organization_idstring

The organization id identifier

Formatuuid
addressstring
Default"123 Main St"
citystring
Default"San Francisco"
codestring
Default"UPDATED_CODE"
countrystring
Default"USA"
descriptionstring
Default"Updated organization description"
emailstring
Default"contact@example.com"
Formatemail
metadataobject
namestring
Default"Updated Organization Name"
parent_idstring
Default"{{parent_organization_id}}"
phonestring
Default"+1234567890"
postal_codestring
Default"94102"
statestring
Default"CA"
statusstring
Default"active"
typestring
Default"company"
websitestring
Default"https://example.com"
Formaturi

Response Body

curl -X PUT "https://edushade.com/api/v1/sysadmin/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Content-Type: application/json" \
  -d '{
    "address": "123 Main St",
    "city": "San Francisco",
    "code": "UPDATED_CODE",
    "country": "USA",
    "description": "Updated organization description",
    "email": "contact@example.com",
    "metadata": {
      "custom_field": "custom_value"
    },
    "name": "Updated Organization Name",
    "parent_id": "{{parent_organization_id}}",
    "phone": "+1234567890",
    "postal_code": "94102",
    "state": "CA",
    "status": "active",
    "type": "company",
    "website": "https://example.com"
  }'
{}
Empty
Empty
Empty